// test dietlibc
// diet -v gcc -O2 utils/testmath.c -lm
//  FAILs for diet-0.33 gcc-4.1 on x86-64
//  sometimes -O2 compiles if sqrt can be computed on compiletime
// diet -v gcc -O2 utils/testmath.c /usr/lib64/libm.a # works on x86-64

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

int main(int argc, char *argv[]){
  float x=2.0;
  double y=2.0;
  if (argc>1) y=x=atof(argv[1]);
  printf(" sqrt(2.0)=%f %f\n", sqrt(x), sqrt(y));
  return 0;
}
